Subject: Re: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time

From: Carlos O'Donell <[email-masked]>
Date: Mon, 23 Nov 2020 14:37:24 -0500

On 11/23/20 1:58 PM, Jean Louis wrote:
> * Carlos O'Donell <[email-masked]> [2020-11-23 18:54]:
>> On 11/23/20 8:27 AM, Jean Louis wrote:
>>> * Eli Zaretskii <[email-masked]> [2020-11-22 23:17]:
>>>>> Date: Sun, 22 Nov 2020 22:52:14 +0300
>>>>> From: Jean Louis <[email-masked]>
>>>>> Cc: [email-masked], [email-masked], [email-masked],
>>>>>   [email-masked], [email-masked], [email-masked]
>>>>>
>>>>> I am now following this strategy here:
>>>>> https://github.com/jemalloc/jemalloc/wiki/Use-Case%3A-Leak-Checking
>>>>
>>>> That uses a different implementation of malloc, so I'm not sure it
>>>> will help us.
>>>
>>> This is how I have run the shorter Emacs session until it got blocked:
>>>
>>> MTRACE_CTL_VERBOSE=1 MTRACE_CTL_FILE=/home/data1/protected/tmp/mtraceEMACS.mtr LD_PRELOAD=/home/data1/protected/Programming/git/glibc-malloc-trace-utils/libmtrace.so emacs >> $DEBUG 2>&1
>>>
>>> And here is mtrace:
>>>
>>> https://gnu.support/files/tmp/2020-11-23/mtraceEMACS.mtr.9294.lz
>>>
>>> I cannot run Emacs that way as something happens and Emacs get
>>> blocked. Problem arrives with M-s M-w to search for anything on
>>> Internet with eww. Anything blocks. And I get message:
>>>
>>> error in process filter: Quit
>>
>> Sorry, please drop MTRACE_CTL_VERBOSE=1, as it adds output to stdout
>> which may affect the process if using pipes.
> 
> # MTRACE_CTL_VERBOSE=1
> MTRACE_CTL_FILE=/home/data1/protected/tmp/mtraceEMACS.mtr LD_PRELOAD=/home/data1/protected/Programming/git/glibc-malloc-trace-utils/libmtrace.so emacs >> $DEBUG 2>&1
> 
> I have tried like above and it will block as soon as eww is loads some
> page with the same error as previously.

That's interesting. Are you able to attach gdb and get a backtrace to see
what the process is blocked on?

-- 
Cheers,
Carlos.